org.richfaces.taglib

## Class Paint2DTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.Paint2DTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class Paint2DTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Paint2DTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAlign(javax.el.ValueExpression __align)` Deprecated.
    `void` | `setAlt(javax.el.ValueExpression __alt)` For compability with XHTML 1.1 standart Setter for alt
    `void` | `setBgcolor(javax.el.ValueExpression __bgcolor)` Background color of painted image.
    `void` | `setBorder(javax.el.ValueExpression __border)` Deprecated.
    `void` | `setCacheable(javax.el.ValueExpression __cacheable)` Supported (or not) client/server caching for generated images.
    `void` | `setData(javax.el.ValueExpression __data)` Value calculated at render time and stored in Image URI (as part of cache Key), at paint time passed to a paint method.
    `void` | `setFormat(javax.el.ValueExpression __format)` format Name of format for sending a generated image.
    `void` | `setHeight(javax.el.ValueExpression __height)` Height in pixels of image (for paint canvas and HTML attribute).
    `void` | `setHspace(javax.el.ValueExpression __hspace)` Deprecated.
    `void` | `setPaint(javax.el.MethodExpression __paint)` The method calls expression to paint Image on prepared Buffered image.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setValue(javax.el.ValueExpression __value)` The current value of this component Setter for value
    `void` | `setVspace(javax.el.ValueExpression __vspace)` Deprecated.
    `void` | `setWidth(javax.el.ValueExpression __width)` Width in pixels of image (for paint canvas and HTML attribute).

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### Paint2DTag

          public Paint2DTag()

  - ### Method Detail

    - #### setAlign

          public void setAlign(javax.el.ValueExpression __align)

      Deprecated. This attribute specifies the position of an IMG, OBJECT, or APPLET with respect to its context. The possible values are "bottom", "middle", "top", "left" and "right". The default value is "middle". Setter for align
      Parameters:
        `align` - - new value

    - #### setAlt

          public void setAlt(javax.el.ValueExpression __alt)

      For compability with XHTML 1.1 standart Setter for alt
      Parameters:
        `alt` - - new value

    - #### setBgcolor

          public void setBgcolor(javax.el.ValueExpression __bgcolor)

      Background color of painted image. Default value is 'transparent' which means no background fill. Hex colors can be used, as well as common color names. Invalid values are treated as transparent. Note, that JPEG format doesn't support transparency, and transparent background is painted black. Also note, that several browsers (e.g. IE6) do not support PNG transparency. Default value is &quot;transparent&quot; Setter for bgcolor
      Parameters:
        `bgcolor` - - new value

    - #### setBorder

          public void setBorder(javax.el.ValueExpression __border)

      Deprecated. This attribute specifies the width of an IMG or OBJECT border, in pixels. The default value for this attribute depends on the user agent Setter for border
      Parameters:
        `border` - - new value

    - #### setCacheable

          public void setCacheable(javax.el.ValueExpression __cacheable)

      Supported (or not) client/server caching for generated images. Caching on client supported by properly sending and processing of HTTP headers (Last-Modified, Expires, If-Modified-Since, etc.) Server-side caching is supported by application-scope object cache. For build of cache key use "value" attribute, serialized to URI Setter for cacheable
      Parameters:
        `cacheable` - - new value

    - #### setData

          public void setData(javax.el.ValueExpression __data)

      Value calculated at render time and stored in Image URI (as part of cache Key), at paint time passed to a paint method. It can be used for updating cache at change of image generating conditions, and for creating paint beans as "Lightweight" pattern components (request scope). IMPORTANT: Since serialized data stored in URI, avoid using big objects Setter for data
      Parameters:
        `data` - - new value

    - #### setFormat

          public void setFormat(javax.el.ValueExpression __format)

      format Name of format for sending a generated image. It currently supports "jpeg" (24 bit, default), "gif" (8 bit with transparency), "png" (32 bit with transparency) Setter for format
      Parameters:
        `format` - - new value

    - #### setHeight

          public void setHeight(javax.el.ValueExpression __height)

      Height in pixels of image (for paint canvas and HTML attribute). Default value is "10". Setter for height
      Parameters:
        `height` - - new value

    - #### setHspace

          public void setHspace(javax.el.ValueExpression __hspace)

      Deprecated. This attribute specifies the amount of white space to be inserted to the left and right of an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length Setter for hspace
      Parameters:
        `hspace` - - new value

    - #### setPaint

          public void setPaint(javax.el.MethodExpression __paint)

      The method calls expression to paint Image on prepared Buffered image. It must have two parameters with a type of java.awt.Graphics2D (graphics to paint) and Object (restored from URI "data" property). For painting used 32-bit RGBA color model (for 8-bit images used Diffusion filtration before sending) Setter for paint
      Parameters:
        `paint` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value of this component Setter for value
      Parameters:
        `value` - - new value

    - #### setVspace

          public void setVspace(javax.el.ValueExpression __vspace)

      Deprecated. This attribute specifies the amount of white space to be inserted above and below an IMG, APPLET, or OBJECT. The default value is not specified, but is generally a small, non-zero length Setter for vspace
      Parameters:
        `vspace` - - new value

    - #### setWidth

          public void setWidth(javax.el.ValueExpression __width)

      Width in pixels of image (for paint canvas and HTML attribute). Default value is "10". Setter for width
      Parameters:
        `width` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2013. All Rights Reserved.